Subject: Re: git-svn throwing assertion on old svn tracking branch

From: Nicolas Vilz <[email-masked]>
Date: Fri, 22 Dec 2006 02:35:10 +0100

On Wed, Dec 20, 2006 at 05:05:20PM -0800, Eric Wong wrote:
> Nicolas Vilz <[email-masked]> wrote:
> > hello guys,
> > 
> > it has been a while, i tried git in conjunction with svn... i got a nice
> > history, when working with it. This Work is now a year old.
> > 
> > Now I wanted to get on working and got following error message while
> > fetching from one specific svn tracking branch:
> > 
> > $ git-svn fetch -i svn_master
> > perl: subversion/libsvn_subr/path.c:343: svn_path_remove_component: 
> > Assertion `is_canonical(path->data, path->len)' failed.
> > Aborted
> 
> I don't recall seeing that error before.
> 
> Are you using the command-line client or the perl SVN libraries?  If
> you're using the command-line client, you may want to try:
> rm -rf .git/svn/svn_master/tree && git-svn rebuild -i svn_master
> 
> > I checked the svn working copy, it is uptodate now (although i had to
> > search for it, i havent been using this repository for one year...)
> 
> Does the directory you're tracking the the repository still
> exist?  If it disappeared, git-svn could have some issues with it
> (regardless of command-line or SVN libraries).

The repository i am tracking does still exist. both, the tree and the
repository are on the same revision-number, so i am a bit clueless.

I tried a fresh fetch of this repository, it worked. so it shouldn't be
a client-server version mismatch..

I also tried 

rm -rf .git/svn/svn_master/tree && git-svn rebuild -i svn_master

this had no effect to git-svn fetch -i svn_master... i get the very same
error message...

I didn't alter there anything, so i think, fetching works, but if
nothing is there to fetch, there is the initial error message...

beneath there is svn, version 1.4.2 (r22196) ... on that repository is
Subversion version 1.1.4 (r13838).

Nicolas Vilz